{
	"swap_animation_scale": 1.9,
	"oversized_in_gui": true,
	"model": {
			"type": "select",
			"property": "component",
			"component": "custom_name",
			"cases": [
				{
				"when": "Draupnir Spear",
				"model": {
					"type": "condition",
					"property": "component",
					"predicate": "enchantments",
					"value": [
						{
							"enchantments": [
								"sharpness",
								"bane_of_arthropods",
								"smite"
							],
							"levels": 5
						}
					],
					"on_true": {
						"type": "model",
						"model": "item/netherite_spear/draupnir_spear_sharpness_5"
					},
					"on_false": {
						"type": "condition",
						"property": "component",
						"predicate": "enchantments",
						"value": [
							{
								"enchantments": [
									"sharpness",
									"bane_of_arthropods",
									"smite"
								],
								"levels": 4
							}
						],
						"on_true": {
							"type": "model",
							"model": "item/netherite_spear/draupnir_spear_sharpness_4"
						},
						"on_false": {
							"type": "condition",
							"property": "component",
							"predicate": "enchantments",
							"value": [
								{
									"enchantments": [
										"sharpness",
										"bane_of_arthropods",
										"smite"
									],
									"levels": 3
								}
							],
							"on_true": {
								"type": "model",
								"model": "item/netherite_spear/draupnir_spear_sharpness_3"
							},
							"on_false": {
									"type": "model",
									"model": "item/netherite_spear/draupnir_spear"
								}
						}
					}
				}
			},
				{
				"when": [
					"Dinnerbone",
					"Grumm"
				],
				"model": {
					"type": "model",
					"model": "item/netherite_spear/dinnerbone"
			 			}
				},
				{
				"when": "jeb_",
				"model": {
					"type": "model",
					"model": "item/netherite_spear/jeb_"
			 			}
				},
				{
					"when": "Dragonmaster Lance",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/dragonmaster_lance"
					}
				},
				{
					"when": "Dragonslayer Lance",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/dragonslayer_lance"
					}
				},
				{
					"when": "Command Block Lance",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/command_block_lance"
					}
				},
				{
					"when": "Infinity Lance",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/infinity_lance"
					}
				},
				{
					"when": "Lance",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/lance"
					}
				},
				{
					"when": [
						"Spear of Longinus",
						"Lance of Longinus",
						"Ronginusu no Yari",
						"ロンギヌスの槍"
					],
					"model": {
						"type": "model",
						"model": "item/netherite_spear/spear_of_longinus"
					}
				},
				{
					"when": "Spine Chill Spear",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/spine_chill_spear"
					}
				},
				{
					"when": "Whispering Spear",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/whispering_spear"
					}
				},
				{
					"when": "Fortune Spear",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/fortune_spear"
					}
				},
				{
					"when": [
						"Longinus",
						"Holy Lance"
					],
					"model": {
						"type": "model",
						"model": "item/netherite_spear/longinus"
					}
				},
				{
					"when": "Gungnir",
					"model": {
						"type": "model",
						"model": "item/netherite_spear/gungnir"
					}
				}
			],
			"fallback": {
				"type": "range_dispatch",
				"property": "damage",
				"scale": 4,
				"entries": [
					{
						"threshold": 0,
						"model": {
							"type": "model",
							"model": "item/netherite_spear/netherite_spear"
						}
					},
					{
						"threshold": 1,
						"model": {
							"type": "model",
							"model": "item/netherite_spear/netherite_spear_damaged_0"
						}
					},
					{
						"threshold": 2,
						"model": {
							"type": "model",
							"model": "item/netherite_spear/netherite_spear_damaged_1"
						}
					},
					{
						"threshold": 3,
						"model": {
							"type": "model",
							"model": "item/netherite_spear/netherite_spear_damaged_2"
						}
					}
				]
			}
		}
}